org.apache.geode.admin

## Class SystemMemberType

- java.lang.Object
- - org.apache.geode.admin.SystemMemberType

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  as of 7.0 use the `management` package instead

      public class SystemMemberType
      extends java.lang.Object
      implements java.io.Serializable

  Type-safe definition for system members.
  Since:
    GemFire 3.5
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SystemMemberType` | `APPLICATION` Deprecated. Application connected to the distributed system
    `static SystemMemberType` | `CACHE_SERVER` Deprecated. as of 5.7 use `CACHE_VM` instead.
    `static SystemMemberType` | `CACHE_VM` Deprecated. GemFire Cache VM connected to the distributed system
    `static SystemMemberType` | `MANAGER` Deprecated. GemFire shared-memory manager connected to the distributed system
    `int` | `ordinal` Deprecated. int used as ordinal to represent this Scope

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)` Deprecated. Indicates whether some other object is "equal to" this one.
    `static SystemMemberType` | `fromOrdinal(int ordinal)` Deprecated. Return the SystemMemberType represented by specified ordinal
    `java.lang.String` | `getName()` Deprecated.
    `int` | `hashCode()` Deprecated. Returns a hash code for the object.
    `boolean` | `isApplication()` Deprecated. Return whether this is `APPLICATION`.
    `boolean` | `isCacheServer()` Deprecated. as of 5.7 use `isCacheVm()` instead.
    `boolean` | `isCacheVm()` Deprecated. Return whether this is `CACHE_VM`.
    `boolean` | `isManager()` Deprecated. Return whether this is `MANAGER`.
    `java.lang.String` | `toString()` Deprecated. Returns a string representation for this system member type.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MANAGER

          public static final SystemMemberType MANAGER

      Deprecated.
      GemFire shared-memory manager connected to the distributed system

    - #### APPLICATION

          public static final SystemMemberType APPLICATION

      Deprecated.
      Application connected to the distributed system

    - #### CACHE_VM

          public static final SystemMemberType CACHE_VM

      Deprecated.
      GemFire Cache VM connected to the distributed system

    - #### CACHE_SERVER

          @Deprecated
          public static final SystemMemberType CACHE_SERVER

      Deprecated. as of 5.7 use `CACHE_VM` instead.
      GemFire Cache Server connected to the distributed system

    - #### ordinal

          public final int ordinal

      Deprecated.
      int used as ordinal to represent this Scope

  - ### Method Detail

    - #### fromOrdinal

          public static SystemMemberType fromOrdinal(int ordinal)

      Deprecated.
      Return the SystemMemberType represented by specified ordinal

    - #### getName

          public java.lang.String getName()

      Deprecated.

    - #### isManager

          public boolean isManager()

      Deprecated.
      Return whether this is `MANAGER`.

    - #### isApplication

          public boolean isApplication()

      Deprecated.
      Return whether this is `APPLICATION`.

    - #### isCacheServer

          @Deprecated
          public boolean isCacheServer()

      Deprecated. as of 5.7 use `isCacheVm()` instead.
      Return whether this is `CACHE_SERVER`.

    - #### isCacheVm

          public boolean isCacheVm()

      Deprecated.
      Return whether this is `CACHE_VM`.

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Returns a string representation for this system member type.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the name of this system member type

    - #### equals

          public boolean equals(java.lang.Object other)

      Deprecated.
      Indicates whether some other object is "equal to" this one.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `other` - the reference object with which to compare.
      Returns:
        true if this object is the same as the obj argument; false otherwise.

    - #### hashCode

          public int hashCode()

      Deprecated.
      Returns a hash code for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the integer 0 if description is null; otherwise a unique integer.